/*
 * SonarQube
 * Copyright (C) 2009-2017 SonarSource SA
 * mailto:info AT sonarsource DOT com
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */
// @flow
import React from 'react';
import shallowCompare from 'react-addons-shallow-compare';
import Definition from './Definition';

export default class DefinitionsList extends React.Component {
  static propTypes = {
    component: React.PropTypes.object,
    settings: React.PropTypes.array.isRequired
  };

  shouldComponentUpdate (nextProps: {}, nextState: ?{}) {
    return shallowCompare(this, nextProps, nextState);
  }

  render () {
    return (
        <ul className="settings-definitions-list">
          {this.props.settings.map(setting => (
              <li key={setting.definition.key}>
                <Definition component={this.props.component} setting={setting}/>
              </li>
          ))}
        </ul>
    );
  }
}
